package user

import (
	"base/app/lib/bean"
	"base/app/logic/manage/user"
	"github.com/gin-gonic/gin"
	"log"
)

type Login struct {
}

type argsLogin struct {
	Username string
	Password string
}

// Login @Title 用户登录
func (l *Login) Login(c *gin.Context) {
	args := argsLogin{}
	if err := c.ShouldBindJSON(&args); err != nil {
		bean.Response.ResultFail(c, 10001, "参数错误")
		return
	}
	user.UserLogic.Login()
	log.Println(args)
}
